//////////////////////////////////////////
// Calc.h
// Copyright (c) 12/13/2024 by ECCSkelton
//////////////////////////////////////////
//ECCSkeltonのヘッダー−これに必要なヘッダーが入っている
#include	"ECCSkelton.h"
//リソースIDのヘッダー
#include	"ResCalc.h"
//CALCクラスのヘッダー
#include	"Calc_Class.h"

#define		MAXLEN	1024

/////////////////////////////////////////////////////////////////////
//CMyWndクラスをCDLGクラスから派生させ、メッセージ用の関数を宣言する
/////////////////////////////////////////////////////////////////////
class CMyWnd : public CDLG
{
private:
	WCHAR m_Formula[MAXLEN];		//計算式取得用（1,024 bites）

public:	//以下はコールバック関数マクロと関連している
	//２重起動防止用のMutex用ID名称
	CMyWnd(WCHAR* UName) : CDLG(UName) {}
	//メニュー項目、ダイアログコントロール関連
	bool OnCalc();
	bool OnIdok();
	//ウィンドウメッセージ関連
	CMDTABLE		//OnCommand()関数宣言
	bool OnClose(WPARAM, LPARAM);
	bool OnDestroy(WPARAM, LPARAM);
};

////////////////////////////////////////////////////////////////////////
//派生させたCMyWndクラスのインスタンスとコールバック関数(マクロ）の作成
//主ウィンドウはダイアログと違い、コールバック関数は一つしか作れない
////////////////////////////////////////////////////////////////////////
CMyWnd Calc(L"Calc");	//ウィンドウクラスインスタンスの生成

BEGIN_CMDTABLE(CMyWnd)	//クラス名がCMyWndではない場合、クラス名、テーブルを適宜マニュアルで修正してください
	//メニュー項目、ダイアログコントロール関連
	ON(IDC_CALC, OnCalc())
	ON(IDOK, OnIdok())
END_CMDTABLE
